Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1424408 - rubygem-vegas: FTBFS in rawhide
Summary: rubygem-vegas: FTBFS in rawhide
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-vegas
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ken Dreyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-17 17:01 UTC by Fedora Release Engineering
Modified: 2018-05-29 12:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:10:18 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (3.66 KB, text/plain)
2017-02-17 17:01 UTC, Fedora Release Engineering
no flags Details
root.log (77.14 KB, text/plain)
2017-02-17 17:01 UTC, Fedora Release Engineering
no flags Details
state.log (647 bytes, text/plain)
2017-02-17 17:01 UTC, Fedora Release Engineering
no flags Details
Fix for failure to build from source (FTBFS) (1.50 KB, patch)
2017-06-19 16:58 UTC, Jun Aruga
no flags Details | Diff

Description Fedora Release Engineering 2017-02-17 17:01:04 UTC
Your package rubygem-vegas failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17791008

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 17:01:09 UTC
Created attachment 1254495 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 17:01:12 UTC
Created attachment 1254496 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 17:01:14 UTC
Created attachment 1254497 [details]
state.log

Comment 4 Fedora End Of Life 2017-02-28 12:12:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Jun Aruga 2017-06-19 16:58:42 UTC
Created attachment 1289157 [details]
Fix for failure to build from source (FTBFS)

Hi,
I would attach a patch to fix failure to build from source (FTBFS).

Let me explain detail.

1. Below commands are used in the test files.
  Maybe those commands was removed from build root at past time.
  So, need to install those commands manually.
  This was a reason for FTBFS.

-sed -i "s|\"Rakefile\",||g" %{gem_name}.gemspec
+sed -i "s|\"Rakefile\"\.freeze,||g" %{gem_name}.gemspec

2. I removed below line that is error for rpmlint check.
-Provides: rubygem(%{gem_name}) = %{version}

I checked below things.

- License check: ok
- rpmlint check:
- Install check: ok
- IRB check on mock shell:
irb(main):001:0> require 'vegas'
=> true

Comment 6 Vít Ondruch 2018-04-04 14:41:26 UTC
I added similar patch into F28+

Comment 7 Fedora End Of Life 2018-05-03 08:47:53 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Jun Aruga 2018-05-07 09:44:18 UTC
Vit, thanks for the patch.

https://apps.fedoraproject.org/koschei/package/rubygem-vegas
Right now the build is succeeded on rawhide, f28, and failed on f27 and f26.

Comment 9 Fedora End Of Life 2018-05-29 12:10:18 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.